#ifndef __IKONKE_MODULE_TIMER_H_______________________________
#define __IKONKE_MODULE_TIMER_H_______________________________

#include "tl_common.h"

typedef enum{
	SELF_TIMER0		=0,
	SELF_TIMER1		=1,
	SELF_TIMER2		=2,
}TIMER_TypeEnum;


#define kTimerIsGoing(timer)    Is_Timer_Running(timer)

void kTimerInit(TIMER_TypeEnum timer);
hw_timer_sts_t kTimerStart(TIMER_TypeEnum timer, uint32_t time_us, timerCb_t stop_callback);
void kTimerStop(TIMER_TypeEnum timer);



#endif
